set V;
set A within V cross V;

param cost{A};
param incidence{V,A};
param demands{V};

var x{A} >= 0;

minimize pathcost: sum{(i,j) in A} cost[i,j]*x[i,j];

subject to conservation{i in V}: sum{(j,k) in A} incidence[i,j,k]*x[j,k] = demands[i];